﻿<UserControl x:Class="CNC.View.CoordView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:CNC.View"
             mc:Ignorable="d" 
             d:DesignHeight="229.592" d:DesignWidth="288.265">
    <UserControl.Resources>
        <ResourceDictionary>
            <ResourceDictionary.MergedDictionaries>
                <ResourceDictionary Source="Styles.xaml"/>
            </ResourceDictionary.MergedDictionaries>
        </ResourceDictionary>
    </UserControl.Resources>
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="Auto"/>
            <RowDefinition Height="*"/>
        </Grid.RowDefinitions>
        <Grid.ColumnDefinitions>
            <ColumnDefinition/>
        </Grid.ColumnDefinitions>
        <Border Style="{StaticResource HeaderRow}" Grid.Row="0">
            <TextBlock Style="{StaticResource HeaderTextBlock}">Souřadnice</TextBlock>
        </Border>
        <Grid Grid.Row="1">
            <Grid.RowDefinitions>
                <RowDefinition Height="*"/>
                <RowDefinition Height="*"/>
                <RowDefinition Height="*"/>
            </Grid.RowDefinitions>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="50"/>
                <ColumnDefinition Width="*"/>
                <ColumnDefinition Width="70"/>
            </Grid.ColumnDefinitions>
            <TextBlock Grid.Row="0" Grid.Column="0" FontSize="25" Style="{StaticResource TextBlockCoord}">X</TextBlock>
            <TextBlock Grid.Row="1" Grid.Column="0" FontSize="25" Style="{StaticResource TextBlockCoord}">Y</TextBlock>
            <TextBlock Grid.Row="2" Grid.Column="0" FontSize="25" Style="{StaticResource TextBlockCoord}">Z</TextBlock>
            <TextBlock Grid.Row="0" Grid.Column="1" FontSize="25" Style="{StaticResource TextBlockCoord}" Text="{Binding Path=CoordX}"/>
            <TextBlock Grid.Row="1" Grid.Column="1" FontSize="25" Style="{StaticResource TextBlockCoord}" Text="{Binding Path=CoordY}"/>
            <TextBlock Grid.Row="2" Grid.Column="1" FontSize="25" Style="{StaticResource TextBlockCoord}" Text="{Binding Path=CoordZ}"/>
            <Button Content="X0" Grid.Row="0" Grid.Column="2" Style="{StaticResource ButtonInGrid}" Command="{Binding SetZeroXCommand}"/>
            <Button Content="Y0" Grid.Row="1" Grid.Column="2" Style="{StaticResource ButtonInGrid}" Command="{Binding SetZeroYCommand}"/>
            <Button Content="Z0" Grid.Row="2" Grid.Column="2" Style="{StaticResource ButtonInGrid}" Command="{Binding SetZeroZCommand}"/>
        </Grid>
    </Grid>
</UserControl>
